Subject: Re: bug#73418: ls (GNU coreutils) 9.4 is extremely slower than ls (GNU coreutils) 8.32 listing files on a cifs mounted share

From: Pádraig Brady <[email-masked]>
Date: Wed, 2 Oct 2024 23:14:27 +0100

On 30/09/2024 06:24, Paul Eggert wrote:
> Looking at the current coreutils source, I noticed that 'ls' called
> getxattr when it didn't need to. I installed the attached patch to fix
> some of the issue; more could be done and perhaps I'll find the time.
> Among other things this patch should cause GNU ls to use llistxattr
> instead of listxattr which may make a difference.

I notice that tests/ls/getxattr-speedup.sh is failing now,
which I've not looked into yet.

cheers,
Pádraig